Get a Payment Method by ID

get

/brm/paymentMethods/v4/paymentMethod/{id}

The operation retrieves a payment method by its ID. You can select any of the payment method's top-level attributes.

Request

Path Parameters
Query Parameters
  • Specifies the properties to include in the response as a comma-separated list.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The payment method was retrieved successfully.
Body ()
Root Schema : schema
Match One Schema
Show Source
  • Cash
    Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
  • Check
    Specifies a check payment method.
  • BankAccountDebit
    Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
  • BankCard
    Specifies a bank card payment method.
  • TokenizedCard
    Specifies a tokenized card payment method.
Nested Schema : Cash
Type: object
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
Show Source
Match All
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : Check
Type: object
Specifies a check payment method.
Show Source
Match All
Specifies a check payment method.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : BankAccountDebit
Type: object
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
Show Source
Match All
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : BankCard
Type: object
Specifies a bank card payment method.
Show Source
Match All
Specifies a bank card payment method.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : TokenizedCard
Type: object
Specifies a tokenized card payment method.
Show Source
Match All
Specifies a tokenized card payment method.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : PaymentMethod
Type: object
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Show Source
Match All
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Show Source
Nested Schema : Entity
Type: object
Represents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The following example shows how to retrieve a payment method by ID by submitting a GET request on the REST resource using cURL. For more information, see Use cURL.

Example: Retrieve a cash payment method by ID.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/0.0.0.1%2B-payinfo-cash%2B197605'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

{
  "@type": "cash",
  "id": "0.0.0.1+-payinfo-cash+197605",
  "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cash+197605",
  "name": "Main Cash Payment",
  "isPreferred": false,
  "effectiveDate": "2026-01-01T08:40:00.00Z",
  "recieptNo": "IN-987789"
}
Back to Top